package com.qmth.sop.common.enums;

/**
 * @Description: enum集合
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/1/24
 */
public enum EnumList {

    QUALITY_PROBLEM_TYPE_ENUM(QualityProblemTypeEnum.class),

    IN_OUT_TYPE_ENUM(InOutTypeEnum.class),

    QUALITY_PROBLEM_REASON_ENUM(QualityProblemReasonEnum.class),

    IN_FLUENCE_DEGREE_ENUM(InfluenceDegreeEnum.class),

    FLOW_TYPE_ENUM(TFCustomTypeEnum.class),

    FLOW_STATUS_ENUM(FlowStatusEnum.class),

    FLOW_APPROVE_OPERATION_ENUM(FlowApproveOperationEnum.class),

    FLOW_TASK_TYPE_ENUM(FlowTaskTypeEnum.class),

    ROLE_TYPE_ENUM(RoleTypeEnum.class),

    MESSAGE_TYPE_ENUM(MessageTypeEnum.class),

    GENDER_ENUM(GenderEnum.class),

    EDUCATION_ENUM(EducationEnum.class),

    SEQUENCE_ENUM(SequenceEnum.class),

    DING_EXCEPTION_APPROVE_ENUM(DingExceptionApproveEnum.class),

    DEVICE_USAGE_TYPE_ENUM(DeviceUsageTypeEnum.class),

    DEVICE_STATUS_ENUM(DeviceStatusEnum.class),

    WARN_TYPE_ENUM(WarnTypeEnum.class),

    DELAY_WARN_TYPE_ENUM(DelayWarnTypeEnum.class),

    PRODUCT_TYPE_ENUM(ProductTypeEnum.class),

    PROJECT_EXCHANGE_FLOW_STATUS_ENUM(ProjectExchangeFlowStatusEnum.class),

    PROJECT_EXCHANGE_APPROVE_ENUM(ProjectExchangeApproveEnum.class),

    PROCESS_LIMITED_ENUM(ProcessLimitedEnum.class),

    TASK_TYPE_ENUM(TaskTypeEnum.class);

    private Object obj;

    private EnumList(Object obj) {
        this.obj = obj;
    }

    public Object getObj() {
        return obj;
    }
}
